## cloud-initramfs-tools 0.52

=== Makefile ===
MODULES = growroot rescuevol overlayroot dyn-netconf copymods rooturl updateroot
INITRAMFS_D = /usr/share/initramfs-tools
IRD = $(DESTDIR)/$(INITRAMFS_D)
DRACUT_D = /usr/lib/dracut
ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-

build:

install:
	mkdir -p "$(IRD)/hooks" "$(IRD)/scripts" "$(DESTDIR)/etc"
	set -e; for d in $(MODULES); do \
		[ -d "$$d/hooks" ] || continue ; \
		install "$$d/hooks"/* "$(IRD)/hooks" ; \
		done
	set -e ; for d in $(MODULES); do \
		for sd in $$d/scripts/*; do \
			[ -d $$sd ] || continue; \
			td="$(IRD)/scripts/$${sd##*/}"; \
			mkdir -p "$$td" ; \
			install "$$sd"/* "$$td"; \
		done; done
	set -e ; for d in $(MODULES); do \
		[ -d $$d/conf-hooks.d/ ] || continue; \
		mkdir -p "$(IRD)/conf-hooks.d"; \
		install -m 644 "$$d/conf-hooks.d"/* "$(IRD)/conf-hooks.d/" ; \
		done
	set -e; for d in $(MODULES); do \
		[ -d "$$d/etc" ] || continue ; \
		for f in $$d/etc/*; do \
		    if [ -d "$$f" ];then \
		    		install -m 755 -d "$(DESTDIR)/etc/$${f##*/}" ; \
				install "$$f"/* "$(DESTDIR)/etc/$${f##*/}" ; \
				continue ; \
				fi ;\
			install -m 644 -t "$(DESTDIR)/etc" "$$f" ;\
			done; done
	set -e; for d in $(MODULES); do \
		[ -d "$$d/tools" ] || continue ; \
		mkdir -p "$(ULIB_PRE)$$d/" && \
		install "$$d/tools"/* "$(ULIB_PRE)$$d/" ; \
		done
	set -e ; for d in $(MODULES); do \
		[ -d "$$d/dracut.modules.d" ] || continue; \
		mkdir -p "$(DESTDIR)$(DRACUT_D)/modules.d/50$$d"; \
		install -m 755 "$$d"/dracut.modules.d/*.sh "$(DESTDIR)$(DRACUT_D)/modules.d/50$$d/" ; \
		done
	mkdir -p "$(DESTDIR)/usr/sbin" "$(DESTDIR)/usr/share/man/man8"
	install -m 755 "overlayroot/usr/sbin/overlayroot-chroot" "$(DESTDIR)/usr/sbin"
	install -m 644 "overlayroot/usr/share/man/man8/overlayroot-chroot.8" "$(DESTDIR)/usr/share/man/man8"

#
# Fedora/EPEL
#

DRACUT_GROWROOT_D = dracut/modules.d/50growroot

install-fedora:
	mkdir -p "$(DESTDIR)/$(DRACUT_GROWROOT_D)"
	for f in growroot.sh module-setup.sh ; do \
		install "growroot/$(DRACUT_GROWROOT_D)/$$f" \
			"$(DESTDIR)/$(DRACUT_GROWROOT_D)/" ; \
	done

install-epel:
	mkdir -p "$(DESTDIR)/$(DRACUT_GROWROOT_D)"
	for f in growroot.sh install ; do \
		install "growroot/$(DRACUT_GROWROOT_D)/$$f" \
			"$(DESTDIR)/$(DRACUT_GROWROOT_D)/" ; \
	done

# vi: ts=4 noexpandtab syntax=make

=== debian/changelog ===
cloud-initramfs-tools (0.52) resolute; urgency=medium

  * overlayroot: new size,nr_inodes,nr_blocks parameters for tmpfs
    (LP: #2139105)

 -- Jonas Jelten <jj@ubuntu.com>  Mon, 16 Feb 2026 15:40:42 +0100

=== debian/control ===
Source: cloud-initramfs-tools
Section: admin
Priority: optional
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: http://launchpad.net/cloud-initramfs-tools
Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools

Package: cloud-initramfs-rescuevol
Architecture: all
Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
Description: boot off a rescue volume rather than root filesystem
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed the initramfs will check to see if any partitions
 with a label of 'RESCUE_VOL' are attached.  If such a volume is attached,
 it will boot off that volume rather than the root volume.
 .
 This is useful in a cloud environment, when the user is able to attach
 and detach volumes to a running system, but has no other mechanism
 for interrupting of fixing a failed boot.  It is analogous to inserting
 a rescue CD into a system to recover from failure.

Package: cloud-initramfs-growroot
Architecture: all
Depends: cloud-utils (>= 0.21ubuntu1) | cloud-guest-utils,
         initramfs-tools,
         util-linux (>= 2.17.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: automatically resize the root partition on first boot
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed, the initramfs will repartition a disk to make the
 root volume consume all space that follows it.
 .
 You most likely do not want this package unless you know what you are
 doing.  It is primarily interesting in a virtualized environment when
 a disk can be provisioned with a size larger than its original size.
 In this case, with this package installed, you can automatically use
 the new space without requiring a reboot to re-read the partition table.

Package: overlayroot
Architecture: all
Depends: cryptsetup,
         cryptsetup-bin,
         dracut (>= 110) | initramfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: haveged
Breaks: dracut-core (<< 110)
Description: use an overlayfs on top of a read-only root filesystem
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed and configured, the initramfs will mount an overlayfs
 filesystem on top of a read-only root volume.
 .
 The changes can be written to a in-memory temporary filesystem, a
 filesystem on an existing block device, or a dmcrypt encrypted block
 device.

Package: cloud-initramfs-dyn-netconf
Architecture: all
Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
Description: write a network interface file in /run for BOOTIF
 This package provides an initramfs module that will write a simple
 network interfaces formatted file to /run/network/interfaces with
 entries for any devices that were configured during initramfs.

Package: cloud-initramfs-copymods
Architecture: all
Depends: dracut (>= 109) | initramfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dracut-core (<< 109)
Description: copy initramfs modules into root filesystem for later use
 When booting with an external-to-root kernel and initramfs, you need
 to ensure that /lib/modules contains any necessary modules not already
 loaded.
 .
 This package arranges for the modules in the initramfs to be placed
 into /lib/modules after the switchroot is done.

Package: cloud-initramfs-rooturl
Architecture: all
Depends: dracut (>= 110) | initramfs-tools,
         dracut-network (>= 110) | initramfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dracut-core (<< 110), dracut-network (<< 110)
Description: use a tarball or squashfs image in a url as the root filesystem
 Allows user to pass in root=http://example.com/your.tar.gz
 Root filesystem will be tmpfs from that url.

Package: cloud-initramfs-updateroot
Architecture: all
Depends: initramfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: extract a tarball over root filesystem before pivot
 Allows kernel command line updateroot=http://your.tar.gz
 And then tarball will be pulled and extracted over the root.

## cloud-initramfs-tools 0.53

=== debian/changelog ===
cloud-initramfs-tools (0.53) resolute; urgency=medium

  [ Benjamin Drung ]
  * rooturl: use systemd-import on Dracut to support tarballs (LP: #2142564)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 24 Feb 2026 12:30:44 +0100

=== debian/control ===
--- 
+++ 
@@ -83,6 +83,7 @@
 Architecture: all
 Depends: dracut (>= 110) | initramfs-tools,
          dracut-network (>= 110) | initramfs-tools,
+         systemd-container | initramfs-tools,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dracut-core (<< 110), dracut-network (<< 110)

=== debian/tests/control ===
Tests: copymods-dracut
Architecture: !armel !i386
Restrictions: allow-stderr, needs-root
Depends: cloud-initramfs-copymods, dracut-test (>= 110), xfsprogs

Tests: overlayroot-dracut
Architecture: !armel !i386
Restrictions: allow-stderr, needs-root
Depends: dracut-test (>= 110), overlayroot

Tests: rooturl-dracut
Architecture: !armel !i386
Restrictions: allow-stderr, needs-root
Depends: cloud-initramfs-rooturl,
         dracut-test (>= 110),
         python3,
         squashfs-tools,
         xz-utils,
         zstd

## cloud-initramfs-tools 0.54

=== Makefile ===
--- 
+++ 
@@ -40,9 +40,10 @@
 		install "$$d/tools"/* "$(ULIB_PRE)$$d/" ; \
 		done
 	set -e ; for d in $(MODULES); do \
+		if [ "$$d" = dyn-netconf ]; then module_number=05; else module_number=50; fi; \
 		[ -d "$$d/dracut.modules.d" ] || continue; \
-		mkdir -p "$(DESTDIR)$(DRACUT_D)/modules.d/50$$d"; \
-		install -m 755 "$$d"/dracut.modules.d/*.sh "$(DESTDIR)$(DRACUT_D)/modules.d/50$$d/" ; \
+		mkdir -p "$(DESTDIR)$(DRACUT_D)/modules.d/$$module_number$$d"; \
+		install -m 755 "$$d"/dracut.modules.d/*.sh "$(DESTDIR)$(DRACUT_D)/modules.d/$$module_number$$d/" ; \
 		done
 	mkdir -p "$(DESTDIR)/usr/sbin" "$(DESTDIR)/usr/share/man/man8"
 	install -m 755 "overlayroot/usr/sbin/overlayroot-chroot" "$(DESTDIR)/usr/sbin"

=== debian/changelog ===
cloud-initramfs-tools (0.54) resolute; urgency=medium

  * autopkgtest: explicitly pull in dracut for rooturl test
  * dyn-netconf: support dracut by pulling in systemd-networkd (LP: #2125790)
  * Drop redundant priority optional
  * Bump Standards-Version to 4.7.3
  * Override executable-in-usr-lib lintian warning for Dracut modules dir

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 27 Feb 2026 10:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cloud-initramfs-tools
 Section: admin
-Priority: optional
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
 Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
 
@@ -59,7 +58,11 @@
 
 Package: cloud-initramfs-dyn-netconf
 Architecture: all
-Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
+Depends: dracut (>= 110) | initramfs-tools,
+         dracut-network (>= 110) | initramfs-tools,
+         systemd | initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: write a network interface file in /run for BOOTIF
  This package provides an initramfs module that will write a simple
  network interfaces formatted file to /run/network/interfaces with
@@ -67,9 +70,7 @@
 
 Package: cloud-initramfs-copymods
 Architecture: all
-Depends: dracut (>= 109) | initramfs-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: dracut (>= 109) | initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dracut-core (<< 109)
 Description: copy initramfs modules into root filesystem for later use
  When booting with an external-to-root kernel and initramfs, you need
@@ -93,9 +94,7 @@
 
 Package: cloud-initramfs-updateroot
 Architecture: all
-Depends: initramfs-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Description: extract a tarball over root filesystem before pivot
  Allows kernel command line updateroot=http://your.tar.gz
  And then tarball will be pulled and extracted over the root.

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: !armel !i386
 Restrictions: allow-stderr, needs-root
 Depends: cloud-initramfs-rooturl,
+         dracut,
          dracut-test (>= 110),
          python3,
          squashfs-tools,
